﻿namespace PhotoFramePublishingPlugin
{
    public interface IConfigurationSettingsView
    {
        void SetVersionLabel(string version);

        void SetDestinationError(string errorMessage);
        void ClearDestinationError();

        bool OkButtonEnabled { get; set; }
        void SetBorderPreview(BorderPreviewMode borderPreviewMode);
    }

    public enum BorderPreviewMode
    {
        Cropped, WithBorders
    }
}