namespace PhotoFramePublishingPlugin
{
    /// <summary>
    /// Used to store the original file name and perceived type (image/video) given in the list of items
    /// passed to the plugin by Live Photo Gallery.
    /// </summary>
    internal class ItemDetails
    {
        public string PerceivedType { get; private set; }
        public string OriginalFileName { get; private set; }

        public ItemDetails(string perceivedType, string originalFileName)
        {
            PerceivedType = perceivedType;
            OriginalFileName = originalFileName;
        }
    }
}